DROP TABLE page;
CREATE TABLE page (
	id int(4) auto_increment,
	name varchar(100) NOT NULL,
	cache_width int(4),
	t_class varchar(100),
	login_table varchar(100),
	join_where varchar(255),
	dest_mail varchar(255),
	good_addr varchar(255),
	date_reg date,
	lang char(2),
	rq_auth BOOL, 
	PRIMARY KEY  (id)
);

DROP TABLE page_control;
CREATE TABLE page_control (
	id int(4) auto_increment,
	page_id int(4) NOT NULL,
	ct_type char(1) NOT NULL,
	ct_subtype char(1),
	
	title	    varchar(20),
	default_value varchar(150),
	
	css_text_td varchar(20),
	css_ctrl    varchar(20),
	css_ctrl_td varchar(20),
	order_id	 int(4),
	
	cache_text_cspan int(4),
	cache_ctrl_cspan int(4),

	rq_notnull	BOOL,
	rq_numeric	BOOL,
	rq_regexp	varchar(40),

	hide_output	BOOL,
	dest_field	varchar(40),
	rw_field	varchar(40),
	validate_js	varchar(255),
	verify_error	varchar(255),
	on_change	varchar(40),
	PRIMARY KEY  (id)
);

DROP TABLE page_selvals;

CREATE TABLE page_selvals (
	id int(4) auto_increment,
	page_control_id int(4) NOT NULL,
	k varchar(150),
	v varchar(150),
	PRIMARY KEY  (id)
);
